Summary: EMI AMGA Client - Metadata Catalog system
Name: emi.amga.amga-cli
Version: 2.4.0
Release: 1.sl5
License: ASL 2.0
Vendor: EMI
Group: System Environment/Libraries
BuildRequires: flex
BuildRequires: boost-devel
BuildRequires: glite-build-common-cpp
BuildRequires: libxml2
BuildRequires: unixODBC
BuildRequires: openssl
BuildRequires: openssl-devel
BuildRequires: m4
BuildRequires: openldap
BuildRequires: libtool
BuildRequires: unixODBC-devel
BuildRequires: openldap-devel
BuildRequires: bison
BuildRequires: editline
BuildRequires: boost
BuildRequires: libxml2-devel
Requires: libxml2 >= 2.0.0, openssl, editline, boost, openldap
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
AutoReqProv: yes
Source: http://amga.web.cern.ch/amga/downloads/%{version}/source/%{name}-%{version}.tar.gz

%description
The EMI AMGA Client

%prep
 

%setup -q

%build
./configure --without-globus --prefix=/usr --sysconfdir=/etc
 make DESTDIR=$RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
 mkdir -p $RPM_BUILD_ROOT
 make DESTDIR=$RPM_BUILD_ROOT install
 find $RPM_BUILD_ROOT -name '*.la' -exec rm -rf {} \;
 find $RPM_BUILD_ROOT -name '*.pc' -exec sed -i -e "s|$RPM_BUILD_ROOT||g" {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%config(noreplace) /etc/mdclient.config
/usr/lib64/libMDClient.so.0.0.0
/usr/lib64/libMDClient.a
/usr/lib64/libMDClient.so.0
/usr/lib64/libMDClient.so
/usr/bin/mdcli
/usr/bin/mdclient
/usr/share/man/man1/mdclient.1.gz
/usr/share/man/man1/mdcli.1.gz
%dir /usr/share/doc/glite-amga-server/
/usr/share/doc/glite-amga-server/LICENSE
/usr/include/md_api.h
/usr/include/MDClient.h
/usr/include/AMGAService.h

%changelog
* Thu Feb 07 2013 Geunchul Park <gcpark@kisti.re.kr> 2.4.0-1
- Rebuilt for EMI-3 
